<?php

class ppesetup {

  var $txt, $ima;

  function ppesetup($language) {
    $this->txt = string;
    $this->ima = string;
    $this->query($language);
  }

  function query($language) {

    if($language == "german") {
      $im = "https://www.paypal.com/de_DE/i/btn/btn_xpressCheckout.gif";
      $tx = "Bezahlen mit PayPal ohne manuell ein Konto anlegen";
    } elseif($language == "polish") {
      $im = "https://www.paypal.com/pl_PL/i/btn/btn_xpressCheckout.gif";
      $tx = "Zapłać za pośrednictwem serwisu PayPal bez zakładania konta";
    } else {
      $im = "https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif";
      $tx = "Pay with PayPal without needing to manually create an account";
    }

    $serverName = $_SERVER['SERVER_NAME'];
    $serverPort = $_SERVER['SERVER_PORT'];
    $url=dirname('http://'.$serverName.':'.$serverPort.$_SERVER['REQUEST_URI']);

    $this->txt = "<tr><td class='main' valign='top'>".$tx."<br></td></tr>";

    $this->ima = "<img align = 'center' border = '0' src='".$im."'/>";

  }

}
?>